Vai al contenuto


113 28287 <![CDATA[Disinstallare Smswebgun]]> 349752 10 Jun 2008 http://forum.smsclient.it/topic/28287-disinstallare-smswebgun/?view=findpost&p=349752 ciao a tutti
ho installato smswebgun... solo che ho combinato troppi casini quindi vorrei disinstallarlo e reinstallarlo da capo. come posso fare? visto che ora non sono piu' sotto un proxy server! ma ho una connessione diretta.. ]]>
0 9457 0
349822 10 Jun 2008 http://forum.smsclient.it/topic/28287-disinstallare-smswebgun/?view=findpost&p=349822 Ciao, se lo reinstalli ora non avrai piu tante limitazioni che avevi con la vecchia versione, quindi:

innanzi tutto creo una copia dei backup della rubrica e degli accounts (se non li vuoi tenere: salta questo passo.)
mkdir ~/.backup_smw
cp ~/smw/confs/rubrica ~/smw/confs/accounts ~/backup_smw
dopo di che elimino brutalmente la cartella di smw
rm -rf ~/smw/
adesso si lo puo reinstallare da capo:
cd ~
rm smwgun.tar.gz
wget http&#58;//csms.indivia.net/smwgun.tar.gz
tar -xvzf smwgun.tar.gz

eccolo reinstallato,
per ricopiare gli accounts e la rubrica precedentemente salvati (se non lo hai fatto, salta il passaggio):
cp ~/.backup_smw/* ~/smw/confs

se poi vuoi eliminare i backup

rm -rf ~/.backup_smw

il procedimento è molto semplice, in pratica basta eliminare e ricopiare :)

suppongo che il tuo proxy sia ancora impostato, se è cosi (o comunque non ti costa niente controllare)
prova a vedere di aver eliminato tutte le righe contententi http_proxy dai file ~/.bashrc (configurazione del suo utente) e /etc/environment (configurazione di tutto il sistema).

per verificare di non aver tralasicato qualche http_proxy, prova questo comando:
cat ~/.bashrc /etc/environment | grep http_proxy
non fa altro che leggere i file bashrc ed environment e ritornare le righe contenenti http_proxy,
se il programma quindi ritorna un output vuol dire che ha trovato quelle righe

ciauz

non so se tel avevo gia detto, ma per usare la nuova interfaccia devi installare il package Gtk2::TrayIcon,
su ubuntu corrisponde al seguente pacchetto: libgtk2-trayicon-perl
se hai dubbi puoi lanciare apt-get (se i pacchetti sono gia presenti non succede niente)
sudo apt-get install libxml-simple-perl  libgtk2-gladexml-perl gocr  libgtk2-trayicon-perl
]]>
0 8321 0